#coding=utf-8
#创建获取分类的方法
from blog.models import Post
from django.db.models import Count
from django.db import connection


def get_r_category(request):
    #分组聚合函数查询分类信息(分类名称，分类id，每个分类下面的数量)
    r_content = Post.objects.values('category__cname','category_id').annotate(c=Count('*'))

    #获取归档信息
    #创建cursor对象
    cursor = connection.cursor()
    #执行cursor的sql数据库的查询语句
    cursor.execute("SELECT publish_time,count('*') FROM t_post GROUP BY DATE_FORMAT(publish_time,'%Y-%b')")
    #搜集cursor执行sql数据库的查询语句，查询的结果
    r_archive = cursor.fetchall()

    #获取近期文章
    r_recent_post = Post.objects.order_by('publish_time')[:3]
    return {'r_content':r_content,'r_archive':r_archive,'r_recent_post':r_recent_post}